Bug 142513 - PowerPC asm headers require asm-m68k/setup.h
PowerPC asm headers require asm-m68k/setup.h
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-09 21:44 EST by W. Michael Petullo
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.10-1.1134_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 16:49:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2004-12-09 21:44:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.3)
Gecko/20041027 Epiphany/1.4.4

Description of problem:
When trying to build the linux-wlan-ng driver from
http://www.linux-wlan.com/, I came across a problem with the PowerPC
kernel package's asm header directory.

/lib/modules/2.6.9-1.1020_FC4/build/include/asm/setup.h contains:

==================================================
#ifdef __KERNEL__
#ifndef _PPC_SETUP_H
#define _PPC_SETUP_H

#define m68k_num_memory ppc_num_memory
#define m68k_memory ppc_memory

#include <asm-m68k/setup.h>
/* We have a bigger command line buffer. */
#undef COMMAND_LINE_SIZE
#define COMMAND_LINE_SIZE       512

#endif /* _PPC_SETUP_H */
#endif /* __KERNEL__ */
==================================================

This references asm-m68k/setup.h, which does not get installed by the
kernel package.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.1020_FC4

How reproducible:
Always

Steps to Reproduce:
Try to build the linux-wlan-ng driver, referencing the header files in
/lib/modules/2.6.9-1.1020_FC4/build/include.

Actual Results:  [...]
make[3]: Entering directory `/lib/modules/2.6.9-1.1020_FC4/build'
  CC [M]  /tmp/linux-wlan-ng-0.2.1pre23/src/p80211/p80211mod.o
In file included from include/asm/machdep.h:8,
                 from include/asm/irq.h:6,
                 from include/asm/hardirq.h:8,
                 from include/linux/hardirq.h:6,
                 from include/asm-generic/local.h:6,
                 from include/asm/local.h:4,
                 from include/linux/module.h:21,
                 from
/tmp/linux-wlan-ng-0.2.1pre23/src/p80211/p80211mod.c:62:
include/asm/setup.h:8:28: asm-m68k/setup.h: No such file or directory
[...]

Additional info:

Copying asm-m68k/setup.h from the kernel source tree into
/lib/modules/2.6.9-1.1020_FC4/build/include fixes the build error.

The asm/setup.h included in the glibc-kernheaders-2.4-9.1.87 package
does not contain a reference to asm-m68k:

#ifndef __ASM_STUB_SETUP_H__
# define __ASM_STUB_SETUP_H__
# if defined __powerpc__ && !defined __powerpc64__
#  include <asm-ppc/setup.h>
# endif
# if defined __powerpc64__
#  include <asm-ppc64/setup.h>
# endif
#endif
Comment 1 Dave Jones 2005-01-10 23:34:07 EST
fixed in cvs. will be in a build soon.
Comment 2 W. Michael Petullo 2005-01-20 11:32:52 EST
I have been waiting to test this but there has not been a 32-bit
PowerPC kernel built for Raw Hide in quite some time.
Comment 3 Dave Jones 2005-01-20 22:07:50 EST
ppc32 hasn't been building recently, I'll try again tomorrow.
Comment 4 Dave Jones 2005-01-20 22:26:38 EST
sigh, upstream still broken. I'll try and look into it, but no promises about
when it'll get fixed yet..
Comment 5 W. Michael Petullo 2005-02-10 10:45:32 EST
This seems fixed as of 2.6.10-1.1134_FC4.

Note You need to log in before you can comment on or make changes to this bug.